package cn.net.connor.createTempDrawings.pojo;

import java.util.List;
import java.util.Map;
/**
 * LOV属性对象
 * @author kuma
 *
 */
public class LovProperty {
	//看板上属性条目的最终显示名称
	private String propName;
	//看板上属性条目对应属性的真实名称
	private String propTrueName;
	//属性的值
	private String propValue;
	private boolean isLov;

	/**
	 * DLOV：动态lov 数组
	 * LOV：传统lov key-value
	 */
	private String lovType;
	/**
	 * @return lovType
	 */
	public String getLovType() {
		return lovType;
	}
	/**
	 * 存放lov类型属性的“显示值-真实值”单层lov集合
	 */
	private Map<String, String> lovMap;

	//专门用于存放动态lov的list集合
	private List<String> dlovList;



	/**
	 * @param lovType 要设置的 lovType
	 */
	public void setLovType(String lovType) {
		this.lovType = lovType;
	}


	
	/**
	 * @return dlovList
	 */
	public List<String> getDlovList() {
		return dlovList;
	}

	/**
	 * @param dlovList 要设置的 dlovList
	 */
	public void setDlovList(List<String> dlovList) {
		this.dlovList = dlovList;
	}



	public String getPropName() {
		return propName;
	}

	public void setPropName(String propName) {
		this.propName = propName;
	}

	public String getPropTrueName() {
		return propTrueName;
	}

	public void setPropTrueName(String propTrueName) {
		this.propTrueName = propTrueName;
	}

	public String getPropValue() {
		return propValue;
	}

	public void setPropValue(String propValue) {
		this.propValue = propValue;
	}

	public boolean isLov() {
		return isLov;
	}

	public void setLov(boolean lov) {
		isLov = lov;
	}

	public Map<String, String> getLovMap() {
		return lovMap;
	}

	public void setLovMap(Map<String, String> lovMap) {
		this.lovMap = lovMap;
	}
}
